{% extends 'base_jinja.html' %}
{% block title %} {{ titulo }} {% endblock title %}

{% block stylesheets %}
    {{ super() }}
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}">

{% endblock stylesheets %}

{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                GDC | SDLC
                <small> {{ titulo }} - {{ sub_titulo }} </small>
                
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
                {% if get_messages(request) %}
                
                <div class="modal fade" id="modal-default">
                
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span></button>
                              <h4 class="modal-title">
                                {% for message in get_messages(request) %}
                                    {% if message.tags == 'error' %}
                                        <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                                    {% elif message.tags == 'warning' %}
                                        <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                                    {% elif message.tags == 'success' %}
                                        <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                                    {% elif message.tags == 'info' %}
                                        <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                                    {% endif %}
                                {% endfor %}
                              </h4>
                            </div>
                            <div class="modal-body">
                                    {% for message in get_messages(request) %}
                                        <div class="alert alert-{{ message.tags }} alert-dismissible">
                                            <!-- <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> -->
                                            {{ message }}
                                        </div>
                                    {% endfor %}
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                            </div>
                          </div>
                          <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                </div>
                {% endif %}

            <div class="row">
                <div class="col-lg-6 col-xs-6">
                    <!-- small box -->
                    <div class="small-box bg-red">
                    <div class="inner">
                        <h3>{{ agencias.count() }}</h3>
        
                        <p>{{ titulo }} {{ fecha.annio_pasado }}</p>
                    </div>
                    <div class="icon">
                        <i class="ion ion-stats-bars"></i>
                    </div>
                    <a title="Estadisticas año {{ fecha.annio_pasado }}" href="{{ url('recaudacion:estadisticas_tramite', args=[fecha.annio_pasado]) }}" class="small-box-footer">Más info... <i class="fa fa-arrow-circle-right"></i></a>
                    </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-6 col-xs-6">
                    <!-- small box -->
                    <div class="small-box bg-blue">
                    <div class="inner">
                        <h3>{{ agencias.count() }}</h3>
        
                        <p>{{ titulo }} {{ fecha.annio }}</p>
                    </div>
                    <div class="icon">
                        <i class="ion ion-stats-bars"></i>
                    </div>
                    <a title="Estadisticas año {{ fecha.annio }}" href="{{ url('recaudacion:estadisticas_tramite', args=[fecha.annio]) }}" class="small-box-footer">Más info... <i class="fa fa-arrow-circle-right"></i></a>
                    </div>
                </div>
                <!-- ./col -->
               
                
            </div>
            


            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <a onclick="return abrir_modal('{{ url('recaudacion:agencias_create') }}')" class="btn btn-danger pull-right"><i class="fa fa-plus"></i>&nbsp;&nbsp;Nueva Agencia</a>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example" class="table table-bordered table-striped">
                                <thead>
                                    
                                <tr>
                                    <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                    <th class="text-center"><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Nombre Comercial</th>
                                    <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                    <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                        {{ titulo }}
                                    </th>
                                    <th class="text-center"><i class="fa fa-map-market"></i>
                                    &nbsp;&nbsp; Parroquia
                                    </th>
                                    <th class="text-center">
                                        Status
                                    </th>

                                    <th class="text-center">Acciones</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                    {% for agencia in agencias %}
                                    <tr>
                                        <td>{{ agencia.tramite.empresa.razon_social.upper() }}</td>
                                        <td class="text-center">{{ agencia.tramite.empresa.nombre_comercial.upper() }}</td>
                                        <td class="text-center">{{ agencia.tramite.empresa.nro_rif.upper() }} </td>
                                        <td class="text-center">
                                                {{ agencia.tramite.nro_tramite }}
                                        </td>
                                        <td class="text-center">
                                                {{ agencia.tramite.parroquia|capitalize }}
                                        </td>
                                        <td class="text-center">
                                            
                                        </td>
                                        <td class="text-center">

                                            <a title="Detalle de la Inscripción Nro. " onclick="" class="btn btn-default btn-xs"><i class="fa fa-eye"></i></a>

                                            <a onclick="" class="btn btn-xs btn-primary">
                                                <i class="fa fa-edit"></i>
                                            </a>

                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                        <th class="text-center"><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Nombre Comercial</th>
                                        <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                        <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                            {{ titulo }}
                                        </th>
                                        <th class="text-center"><i class="fa fa-map-market"></i>
                                        &nbsp;&nbsp; Parroquia
                                        </th>
                                        <th class="text-center">
                                            Status
                                        </th>
    
                                        <th class="text-center">Acciones</th>
                                        
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
                <!-- /.row -->

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}
    <!-- DataTables -->
    <script src="{{ static('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive-bs/js/responsive.bootstrap.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons-bs/js/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/jszip/dist/jszip.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/pdfmake.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/vfs_fonts.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>
    <!-- page script -->
    <script>
        function abrir_modal(url) {
            $('#popup').load(url, function () {
                $(this).modal('show');
            });
            return false;
        }

        $(function () {
            $('#modal-default').modal('show');
        });
 
        $(document).ready(function() {
            var table = $('#example').DataTable({
                lengthChange: true,
                columnDefs: [
                    { "targets": 6, "orderable": false },
                    { "targets": [6], "searchable": false },
                ],
                language: {
                    lengthMenu: "Mostrar _MENU_ registros por página",
                    zeroRecords: "Lo sentimos, no encontramos nada",
                    info: "Mostrando la página _PAGE_ de _PAGES_",
                    infoEmpty: "Sin registros disponibles",
                    infoFiltered: "(Filtrados de untotal de _MAX_ registros)",
                    search: "Buscar: ",
                    paginate: {
                        first: "Primero",
                        last: "Último",
                        next: "Siguiente",
                        previous: "Previo"
                    },
                    buttons: {
                        copy: "Copiar"
                    },
                    decimal: "-",
                    thousands: "."
                },
                buttons: ['copy', 'csv', 'pdf']
            });

            table.buttons().container()
                .appendTo('#example_wrapper .col-sm-6:eq(0)');

            
            // Event listener to the two range filtering inputs to redraw on input
            // $('#parroquia').change( function() {
            //     table.draw();
            // } );

            // $('#column0_search').on( 'keyup', function () {
            //     table
            //         .columns( 0 )
            //         .search( this.value )
            //         .draw();
            // } );
        });
        
    </script>
{% endblock javascripts %}